[arch-commits] Commit in gajim/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Jun 4 03:12:46 EDT 2009


    Date: Thursday, June 4, 2009 @ 03:12:46
  Author: jgc
Revision: 41465

Add intltool makedepend (FS#14946)

Modified:
  gajim/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-04 07:10:48 UTC (rev 41464)
+++ PKGBUILD	2009-06-04 07:12:46 UTC (rev 41465)
@@ -10,19 +10,17 @@
 url="http://www.gajim.org/"
 license=('GPL3')
 depends=('gtkspell' 'sqlite3' 'dnsutils' 'pygtk' 'libxss' 'python>=2.5')
-makedepends=('gettext' 'perlxml' 'dbus')
+makedepends=('gettext' 'intltool' 'dbus')
 optdepends=('dbus-python')
 options=(!libtool)
-source=(http://www.gajim.org/downloads/gajim-$pkgver.tar.gz)
+source=(http://www.gajim.org/downloads/gajim-${pkgver}.tar.gz)
+md5sums=('195a7973d3fbfb538e2ee74156aa6e9e')
 
 build() {
-  cd $startdir/src/gajim-$pkgver
+  cd "${srcdir}/gajim-${pkgver}"
   
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  cd $startdir/pkg/usr/share/gajim/
-  find . -name "*.pyo" | xargs rm -rf
+  make DESTDIR="${pkgdir}" install || return 1
+  find "${pkgdir}/usr/share/gajim/" -name "*.pyo" | xargs rm -rf
 }
-md5sums=('195a7973d3fbfb538e2ee74156aa6e9e')
-



More information about the arch-commits mailing list